#ifndef SAM5_USART_CONTROL_INTERFACE_IMPL_H_
#define SAM5_USART_CONTROL_INTERFACE_IMPL_H_

#include "sam5_control_interface_usart.h"
#include <stdint.h>

typedef enum {
	USART_CONTROL_REQ_NONE = 0, // Only for internal usage
	USART_CONTROL_REQ_STATE = 0xE0,
	USART_CONTROL_REQ_NUM_GRASPS = 0xE1,
	USART_CONTROL_REQ_GRASP_NAME = 0xE2,
	USART_CONTROL_REQ_TACTILE = 0xE3,
	USART_CONTROL_REQ_GEAR_RATIO = 0xE4,
	USART_CONTROL_REQ_POSITION = 0xE5,
	USART_CONTROL_REQ_VELOCITY = 0xE6,
	USART_CONTROL_REQ_CURRENT = 0xE7,
	USART_CONTROL_REQ_VOLTAGE = 0xE8,
	USART_CONTROL_REQ_TEMPERATURE = 0xE9,
	
	USART_CONTROL_REQ_GRASP = 0xF0,
	USART_CONTROL_REQ_FINGER = 0xF1,
	USART_CONTROL_REQ_STOP = 0xFF,
} sam5_usart_control_request_e;

#define USART_CONTROL_ASW_FROM_REQ(req) (req & 0x7F)

#endif //SAM5_USART_CONTROL_INTERFACE_H_